Subject: Re: bug#43960: incompatible bytecode version

From: Maxim Cournoyer <[email-masked]>
Date: Sun, 21 Nov 2021 01:18:14 -0500

Hello,

zimoun <[email-masked]> writes:

> Hi,
>
> On Thu, 15 Oct 2020 at 09:53, Ludovic Courtès <[email-masked]> wrote:
>
>> I don’t think it’s a reasonable response: it’s a fact that we naturally
>> tend to read manuals sparsely, at best.
>>
>> Since the pastes vanished, how did ‘sudo guix pull’ lead to incompatible
>> bytecode warnings?
>
> If I remember correctly (which is neither a reasonable response :-)), it
> should highly come from the user config.  And the investigation needs
> more information, e.g., as Tobias asks: the output of:
>
>   $ type guix
>   $ ls -l ~/.config/guix/current
>   $ sudo rm ~/.config/guix/current
>   $ /run/current-system/profile/bin/guix pull
>   $ hash guix
>   $ type guix

Yes, and we haven't gotten any of that information in a year.

Дмитрий, I'll close this old report which I don't see actionable, but if
you get hit by the problem again, it'd be helpful if you could capture
the above detail and what led you to the problem.

Thanks!

Maxim